Summary: A tool to locally check for signs of a rootkit
Name: chkrootkit
Version: 0.45
Release: 4tr
License: AMS
Group: Trustix Official
URL: http://www.chkrootkit.org
Source0: http://www.mirrors.wiretapped.net/security/host-security/chkrootkit/%{name}-%{version}.tar.gz
Source1: chkrootkit-cron
Patch0: chkroot-pathfix.patch
Requires: binutils fcron
BuildRoot: %{_tmppath}/%{name}-root

%description
chkrootkit is a tool to locally check for signs of a rootkit. It
contains:
 * chkrootkit: a shell script that checks system binaries for
   rootkit modification.
 * ifpromisc.c: checks if the network interface is in promiscuous
   mode.
 * chklastlog.c: checks for lastlog deletions.
 * chkwtmp.c: checks for wtmp deletions.
 * chkproc.c: checks for signs of LKM trojans.
 * chkdirs.c: checks for signs of LKM trojans.
 * strings.c: quick and dirty strings replacement.
 * chkutmp.c: checks for utmp deletions.

%prep
%setup -q
%patch0 -p0

%build
make sense

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily
for i in chkrootkit chklastlog chkwtmp ifpromisc chkproc chkdirs check_wtmpx strings-static chkutmp; do
	install -m755 $i $RPM_BUILD_ROOT%{_bindir}
done
install -m755  %SOURCE1 $RPM_BUILD_ROOT/etc/cron.daily/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc COPYRIGHT ACKNOWLEDGMENTS
%doc README README.chklastlog README.chkwtmp
%{_bindir}/*
%{_sysconfdir}/cron.daily/*

%changelog
* Wed Jun 29 2005 Ajith Thampi <ajith at comodo dot com> 0.45-4tr		
- changes in /usr/bin/chkrootkit for /usr/bin/head -n 1
- Fixed correct path location for chkrootkit binaries
 
* Tue May 31 2005 Ajith Thampi <ajith at comodo dot com> 0.45-2tr
- Added default attributes
		
* Mon May 30 2005 Ajith Thampi <ajith at comodo dot com> 0.45-1tr
- Initial Entry into TSL-3.0	

